<?php
namespace App\Enums;

enum StoreStatus: string
{
    case Open = 'open';
    case Closed = 'closed';
    case Renovation = 'renovation';

    public function label(): string
    {
        return match ($this) {
            self::Open => 'Aberto',
            self::Closed => 'Fechado',
            self::Renovation => 'Em renovação',
        };
    }
}
